hakyll-4.4.3.0: A static website compiler library

Safe Haskell | None

Hakyll.Core.Dependencies

# Documentation

data Dependency Source

Constructors

PatternDependency Pattern [Identifier] |
IdentifierDependency Identifier |

Instances

Show Dependency |
Typeable Dependency |
Binary Dependency |

type DependencyFacts = Map Identifier [Dependency]Source

outOfDate Source

Arguments

:: [Identifier] | All known identifiers
-> Set Identifier | Initially out-of-date resources
-> DependencyFacts | Old dependency facts
-> (Set Identifier, DependencyFacts, [String]) |